/*=== GERAL ================================*/
* {
  margin: 0;
  padding: 0; /* remove o padding geral, dos botoes */
  box-sizing: border-box; /* a caixa será medida pela borda, e não pelo conteúdo (para não somar o valor de fora com o de dentro) */
}

:root {
  --hue: 128;
  --primary-color: hsl(
    var(--hue),
    100%,
    26%
  ); /* variável cor(170), saturacao(100%) (menos colorida ou mais colorida, mt luz (branco total) ou menos luz(preto total) */
  --headline: hsl(209, 52%, 17%);
  --paragraph: hsl(210, 9%, 31%);

  --brand-beige: hsl(39, 100%, 97%);
  --brand-light: hsl(calc(var(--hue) -22), 23%, 89%);
  --brand-light-2: hsl(calc(var(--hue) + 10), 14%, 97%);
  --brand-dark-: hsl(var(--hue), 100%, 14%);

  --bg-light: hsl(180, 14%, 97%);

  font-size: 62.5%; /* 1 rem = 10px*/

  --nav-height: 7.2rem;
}

html {
  scroll-behavior: smooth; /* comportamento suave */
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  font-family: 'DM Sans';
  font-size: 1.6rem;

  text-align: center;

  overflow: overlay; /* sobrepõe */

  background-color: var(--bg-light);
}

.wrapper {
  /* cm se tivesse embrulhando */
  width: min(50rem, 100%);
  margin-inline: auto;
  padding-inline: 2.4rem; /* mantem uma linha certinha entre os elementos*/
}

ul {
  list-style: none;
}

img {
  max-width: 100%;
}

section {
  padding-block: 10rem;
}

section header h4 {
  font-size: 1.4rem;
  font-weight: 700;
  line-height: 150%;
  letter-spacing: 0.08rem;
  color: var(--primary-color);

  text-transform: uppercase; /* td em caixa alta */

  margin-bottom: 1.6rem;
}

section header h2 {
  font-size: 3rem;
  line-height: 3.9rem;

  color: var(--headline);
}

section header h1 {
  font-size: 3.4rem;
  color: var(--headline);
  line-height: 130%;
  margin-bottom: 2.4rem; /*margin - espacamento
  bottom - embaixo */
}

section .content p {
  font-weight: 400;
  font-size: 1.6rem;
  line-height: 150%;

  color: var(--paragraph);
}

.button {
  background: var(--primary-color);

  border: none;
  border-radius: 4rem;

  margin-bottom: 6rem;

  padding: 1.6rem 3.2rem;
  width: fit-content;

  color: white;
  font-size: 1.4rem;
  font-weight: 700;
  text-transform: uppercase;

  display: flex; /* deixe flexivel p trocar */
  align-items: center; /* alinhe os dois */
  justify-content: center; /* centraliza */
  gap: 1.6rem; /* espaçamento entre os elementos */

  text-decoration: none;

  transition: background 200ms;
}

.button:hover {
  background-color: var(--brand-dark-);
}

.social-links {
  display: flex; /*elementos ficam um do lado do outro*/
  align-items: center; /*alinhamento dos itens centrais*/
  justify-content: center;
  gap: 3.2rem; /* espaçamento entre eles */
}

/* custom colors */
#services .card circle {
  fill: var(--brand-light);
}

#navigation .logo path[fill*='#00856F'],
#backToTopButton circle {
  /* atribuindo o botão de rolagem p cima */
  fill: var(--primary-color);
}

button.open-menu path[stroke*='#00856F'],
#contact li path {
  /* atribuindo os icones a cor primaria*/
  stroke: var(--primary-color);
}

body.menu-expanded #navigation .logo path,
#navigation.scroll .logo path {
  fill: white;
}

#navigation.scroll button.open-menu path[stroke*='#00856F'] {
  stroke: white;
}

/*=== NAVIGATION ================================*/
nav {
  display: flex; /* deixar alinhado la em cima no meio*/

  height: var(--nav-height);

  position: fixed; /* isto deixa ele em cima, fznd a 3 camada, em cima do z index*/
  top: 0;
  width: 100vw;

  z-index: 100;
}

nav .wrapper {
  display: flex; /* ao lado do outro no cantinho*/
  align-items: center; /* alinhou o eixo main*/
  justify-content: space-between; /* espaçamento entre eles*/
}

nav.scroll {
  background: var(--primary-color);
}

nav button {
  background: none;
  border: none;
  cursor: pointer; /* maozinha funcionando */
}

nav .menu,
nav .close-menu {
  position: fixed;
}

/*=== MENU-EXPANDED ================================*/
body.menu-expanded {
  overflow: hidden; /*transbordamento das coisas na tela, cria o scroll. e quando esconde, tira o scroll*/
}

body.menu-expanded > :not(nav) {
  /* sumir p tds, exceto o nav*/
  visibility: hidden;
}

.menu,
.close-menu,
body.menu-expanded .open-menu {
  opacity: 0; /*torna ele opaco, mas ele ainda existe*/
  visibility: hidden; /*torna ele escondido*/
}

body.menu-expanded .menu,
body.menu-expanded .close-menu {
  opacity: 1;
  visibility: visible;
}

.menu {
  transform: translateY(
    100%
  ); /* antes do expanded, joga o menu pra fora da tela */
}

body.menu-expanded .menu {
  top: 0;
  left: 0;
  background: var(--primary-color);

  width: 100vw;
  height: 100vh;

  padding-top: var(--nav-height);

  transition: transform 300ms;
  transform: translateY(0); /* e aqui chamamos ele */
}

.menu ul:nth-child(1) {
  /* ele só aplica isso pro primeiro filho ul, ou seja, "Inicio, servicos e sobre"*/
  display: flex; /* um enrolado no outro */
  flex-direction: column; /* um abaixo do outro*/
  gap: 4.8rem;

  margin-top: 6rem;

  font-weight: 700;
  font-size: 2.4rem;
  line-height: 3.1rem;
}

.menu ul li a {
  color: white;
  text-decoration: none;
}

.menu .button {
  background: white; /* branca dele de fundo */
  border-radius: 4rem;
  font-weight: 700; /* ou seja, bold, fonte grossa*/
  font-size: 1.8rem;
  line-height: 2.3rem;
  text-transform: uppercase; /* td em caixa alta(caps)*/
  text-decoration: none; /*tira o sublinhado, padrão de links*/

  color: var(--primary-color);

  display: inline-block;
  padding: 16px 32px;

  margin-top: 4.8rem;
  margin-bottom: 8rem;
}

.menu .button:hover {
  background-color: var(--primary-color);
  color: white;

  filter: brightness(1.3);
}

body.menu-expanded .logo,
body.menu-expanded button {
  position: relative;
  z-index: 100;
}

body.menu-expanded .logo path {
  /* pseudo class */
  fill: white;
}

body.menu-expanded button path {
  stroke: white;
}

/*=== HOME ================================*/
#home {
  padding-block: 0;
  padding-top: calc(
    4.1rem + var(--nav-height)
  ); /*margin - espacamento / top - topo, em cima. função para deixar tudo espaçado certinho. mas trocamos pra padding, que seria TODA a caixa!!! juntar td!!!*/
}

#home::before {
  /* montando uma caixa do 0, antes do header */
  content: '';
  width: 100%; /* view port (tela toda, até o fim)*/
  height: calc(76% + var(--nav-height));
  background-color: var(--brand-light);
  display: block;

  position: absolute; /*ele fica por cima do conteudo*/
  top: 0; /* ele fica colado no topo */
  left: 0; /* ele fica colado no lado */
  z-index: -1; /* eixo z da caixa (diagonal p tras, ou seja, ele fica transparente, atrás do conteudo)*/
}

#home .button {
  margin-inline: auto;
}

#home p {
  font-size: 1.8rem;
  line-height: 150%;
  font-weight: 400;
  color: var(--paragraph);

  margin-bottom: 3.2rem;
}

#home img {
  width: 26.4rem; /* largura da imagem para acompanhar caso aumente ou diminua */
  display: block;
  margin-inline: auto;
  object-position: 0 2rem;
}

#home .stats {
  width: 100%;
  padding-block: 4rem; /*vai colocar o padding em cima e em baixo */
  margin-inline: auto; /* seria o X, left e right*/

  background-color: var(--brand-beige);
  border: 1px solid var(--brand-light);
  border-radius: 0.6; /* arredondamento dessa borda */

  display: flex; /* flex tem somente 1 eixo*/
  flex-direction: column; /* column deixa no meio */
  justify-content: center; /* abaixa para o centro*/
  gap: 6rem;
}

#home .stat h3 {
  font-size: 4.8rem;
  color: var(--headlne);
  line-height: 130%;

  margin-bottom: 0.4rem;
}

#home .stat p {
  /* aqui estaria selecionando os stat p */
  margin: 0; /* e retirando a margem deles */
  color: var(--primary-color);
  font-size: 1.6rem;
  line-height: 150%;
}

/*=== SERVICES ================================*/

#services h2 {
  margin-bottom: 6rem;
}

#services .cards {
  display: flex; /* pq o flex? p usar o gap */
  flex-direction: column; /* um abaixo do outro */
  gap: 3.2rem;
}

#services .card {
  padding: 2.4rem;
  text-align: left;

  background: white;

  border: 1px solid var(--brand-light);
  border-radius: 0.6rem;
}

#services .card h3 {
  margin-block: 1.6rem;
}

/*=== ABOUT ================================*/

#about {
  text-align: left;
  background-color: var(--brand-beige);
}

#about header h2 {
  margin-bottom: 2.4rem;
}

#about .content p {
  margin-top: 2.4rem;
  margin-bottom: 6rem;
}

/*=== CONTACT ================================*/
#contact {
  text-align: left;
}

#contact header {
  margin-bottom: 3.2rem;
}

#contact ul {
  display: flex; /* usamos p usar o gap abaixo*/
  flex-direction: column;
  gap: 1.6rem;

  margin-bottom: 3.2rem;
}

#contact ul li {
  display: flex;
  align-items: center;
  gap: 0.8rem;
}

/*=== FOOTER ================================*/
footer {
  background-color: var(--primary-color);
  padding-block: 6rem;

  text-align: left;

  color: white;
}

footer .logo {
  display: inline-block; /* display inline não aceita margin top e bottom, margin width e height*/
  margin-bottom: 2.4rem;
}

footer .logo svg {
  width: 23.6rem;
  height: 3.1rem;
}

footer .logo path {
  fill: white;
}

footer p {
  color: var(--brand-beige);
  line-height: 2; /* double */

  margin-bottom: 3.2rem;
}

footer .social-links {
  justify-content: flex-start;
}

/* BACK TO TOP */
#backToTopButton {
  position: fixed; /* subir uma camada */
  bottom: 1rem;
  right: 2.5rem;

  opacity: 0;
  visibility: hidden;

  transform: translateY(100%);
  transition: 200ms;
}

#backToTopButton.show {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

/*=== RESPONSIVO ================================*/
@media (min-width: 1024px) {
  /*=== GERAL ================================*/
  body {
    overflow: auto;
  }

  .wrapper {
    width: min(112rem, 100%);
    display: grid;
  }

  .col-a {
    grid-area: A;
  }

  .col-b {
    grid-area: B;
  }

  section {
    padding-block: 16rem;
  }

  section header h2 {
    font-size: 4rem;
    line-height: 5.2rem;
  }

  /*=== NAVIGATION ================================*/
  /* reset */
  nav#navigation .wrapper * {
    margin: 0;
    padding: 0;
    visibility: initial;
    display: initial;
    opacity: initial;
    flex-direction: initial;
    position: initial;
    font-size: initial;
    font-weight: initial;
    transform: initial;
    color: initial;
    background-color: initial;
    filter: initial;
  }

  nav#navigation .close-menu,
  nav#navigation .open-menu,
  nav#navigation .social-links {
    display: none;
  }

  nav#navigation .menu {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 60%;
  }

  nav#navigation .menu ul:nth-child(1) {
    display: flex;
    gap: 3.2rem;
  }

  nav#navigation .menu ul li a {
    color: var(--primary-color);
    opacity: 0.7;
  }

  nav#navigation .menu a.button {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem 2.4rem;

    border: 1px solid var(--primary-color);
    border-radius: 4rem;

    color: var(--primary-color);

    font-weight: 700;
    font-size: 1.4rem;
    line-height: 1.8rem;
    text-transform: uppercase;
  }

  nav#navigation .menu a.button:hover {
    background-color: var(--primary-color);
    border: none;
    color: white;
  }

  nav#navigation.scroll .menu ul li a {
    color: var(--brand-light-2);
    opacity: 0.6;
  }

  nav#navigation.scroll .menu a.button {
    border-color: white;
    color: white;
  }

  nav#navigation .menu li a {
    transition: opacity 0.4s;
  }

  nav#navigation .menu li a:hover {
    opacity: 1;
    font-weight: 700;
  }

  nav#navigation .menu li a::after {
    content: '';
    width: 0%;
    height: 2px;
    background-color: var(--primary-color);

    position: relative;
    bottom: -2rem;
    left: -0.5rem;

    display: block;

    transition: width 0.2s;
  }

  nav#navigation.scroll .menu li a::after {
    background-color: white;
  }

  nav#navigation .menu li a.active::after,
  nav#navigation .menu li a:hover::after {
    /* hover é passando o mouse em cima */
    padding-inline: 0.8rem;
    width: 100%;
  }

  nav#navigation.scroll .menu li a.active,
  nav#navigation.scroll .menu li a:hover {
    opacity: 1;
  }

  nav#navigation.scroll .menu a.button.active,
  nav#navigation.scroll .menu a.button:hover {
    background-color: var(--primary-color);
    filter: brightness(1.3);
    border: none;
  }

  /*=== HOME ================================*/
  #home::before {
    height: calc(96% - var(--nav-height));
  }
  #home {
    padding-top: var(--nav-height);
  }

  #home .wrapper {
    grid-template-columns: 60.5rem 1fr;
    grid-template-areas:
      'A B'
      'C C';
  }

  #home .col-a {
    text-align: left;
    align-self: center;
  }

  #home h1 {
    font-size: 5.2rem;
  }

  #home .content p {
    font-size: 1.8rem;
  }

  #home .stats {
    grid-area: C;

    flex-direction: row;
    padding: 6rem;
    gap: 0;
  }

  #home .stats .stat + .stat {
    border-left: 1px solid var(--primary-color);
  }

  #home .stats .stat {
    flex: 1;
  }

  #home .button {
    margin: 0;
  }

  #home img {
    width: 42rem;
  }

  /*=== SERVICES ================================*/
  #services h2 {
    width: 47rem;
    margin-inline: auto;
  }

  #services .cards {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 4rem;
  }

  #services .card {
    width: 30%;
    flex-grow: 1;
  }

  /*=== ABOUT ================================*/
  #about .wrapper {
    grid-template-columns: 48rem 1fr;
    grid-template-areas: 'B A';
    gap: 6.7rem;
  }

  #about .col-a {
    align-self: center;
  }

  #about .content p {
    margin-bottom: 0;
  }

  /*=== CONTACT ================================*/

  #contact .wrapper {
    grid-template-columns: 1fr 57.5rem;
    grid-template-areas: 'A B';
  }

  #contact h2 {
    width: 40.4rem;
  }

  /*=== FOOTER ================================*/
  footer {
    padding-block: 8rem;
  }
  footer .wrapper {
    grid-template-columns: 1fr 1fr;
    grid-template-areas: 'A B';
  }

  footer .col-a {
    align-self: center;
  }

  footer .col-b {
    align-self: center;
    justify-self: flex-end;
  }

  footer p {
    margin-bottom: 0;
  }
}
